# Uses of Interface
org.eclipse.emf.cdo.common.CDOCommonRepository

Packages that use CDOCommonRepository
Package
Description
org.eclipse.emf.cdo.admin
Client side of the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.common.admin
Common concepts for the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.branch
Common service provider interfaces and useful base implementations for dealing with branches.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.admin

Subinterfaces of CDOCommonRepository in org.eclipse.emf.cdo.admin
Modifier and Type
Interface
Description
`interface`
`CDOAdminClientRepository`
A client-side `administrative interface` to a remote repository.

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.common.admin

Subinterfaces of CDOCommonRepository in org.eclipse.emf.cdo.common.admin
Modifier and Type
Interface
Description
`interface`
`CDOAdminRepository`
An administrative interface to a remote `repository`.

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.common.branch

Methods in org.eclipse.emf.cdo.common.branch that return CDOCommonRepository
Modifier and Type
Method
Description
`CDOCommonRepository`
CDOBranchManager.`getRepository()`
Returns the repository this branch manager is associated with.

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.common.commit

Methods in org.eclipse.emf.cdo.common.commit that return CDOCommonRepository
Modifier and Type
Method
Description
`CDOCommonRepository`
CDOCommitInfoManager.`getRepository()`

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOCommonRepository
Modifier and Type
Method
Description
`static boolean`
CDOCommonUtil.`waitWhileInitial(CDOCommonRepository repository, org.eclipse.net4j.util.event.INotifier notifier, IProgressMonitor monitor)`

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.server

Subinterfaces of CDOCommonRepository in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`interface`
`IRepository`
A CDO repository.
`interface`
`ISynchronizableRepository`
A repository with the ability to `synchronize` its content with another repository.

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.session

Subinterfaces of CDOCommonRepository in org.eclipse.emf.cdo.session
Modifier and Type
Interface
Description
`interface`
`CDORepositoryInfo`
Describes a model repository a `session` is connected to.

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.spi.common.branch

Methods in org.eclipse.emf.cdo.spi.common.branch with parameters of type CDOCommonRepository
Modifier and Type
Method
Description
`void`
InternalCDOBranchManager.`setRepository(CDOCommonRepository repository)`

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.spi.common.commit

Methods in org.eclipse.emf.cdo.spi.common.commit with parameters of type CDOCommonRepository
Modifier and Type
Method
Description
`void`
InternalCDOCommitInfoManager.`setRepository(CDOCommonRepository repository)`

## Uses of CDOCommonRepository in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDOCommonRepository in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalFailoverParticipant`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalRepository`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalSynchronizableRepository`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOCommonRepository in org.eclipse.emf.spi.cdo

Classes in org.eclipse.emf.spi.cdo that implement CDOCommonRepository
Modifier and Type
Class
Description
`static final class`
`CDOSessionProtocol.OpenSessionResult`
If the meaning of this type isn't clear, there really should be more of a description here...